{
  config,
  lib,
  pkgs,
  ...
}: {
  programs.regreet.enable = true;

  services.greetd = {
    enable = true;
    settings = rec {
      initial_session = {
        command = "${pkgs.greetd.regreet}/bin/regreet";
        user = "max";
      };
      default_session = initial_session;
    };
  };

  environment.etc."greetd/environments".text = ''
    sway
  '';
}
